<?php declare(strict_types=1);

namespace Aviat\Kilo\Tests\Traits;

use Aviat\Kilo\Editor;
use PHPUnit\Framework\TestCase;

class EditorTest extends TestCase {
	protected Editor $editor;

	public function setUp(): void
	{
		parent::setUp();

		$this->editor = Editor::new();
	}

	public function testSanity(): void
	{
		$this->assertEquals(0, $this->editor->numRows);
		$this->assertNull($this->editor->syntax);
	}
}